Skip to main content

Ask agent

POST /api/conversations/{conversation_id}/ask_agent

Ask the agent a simple question without affecting conversation state.

Parameters​

NameInTypeRequiredDescription
conversation_idpathstringyes—

Request body​

FieldTypeRequiredDescription
questionstringyesThe question to ask the agent

Responses​

StatusDescription
200Successful Response
404Item not found
422Validation Error

Response body​

FieldTypeRequiredDescription
responsestringyesThe agent's response to the question

Operation ID: ask_agent_api_conversations__conversation_id__ask_agent_post